Package org.apache.commons.cli.help

# Class TextStyle

java.lang.Object
org.apache.commons.cli.help.TextStyle

public final class TextStyle extends Object
The definition for styling recommendations blocks of text. Most common usage is to style columns in a table, but may also be used to specify default styling for a `HelpAppendable`. HelpWriters are free to ignore the TextStyle recommendations particularly where they are not supported or contradict common usage.

Since:
  1.10.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `TextStyle.Alignment`
  The alignment possibilities.
  `static final class`
  `TextStyle.Builder`
  The builder for the TextStyle.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TextStyle`
  `DEFAULT`
  The default style as generated by the default Builder.
  `static final int`
  `UNSET_MAX_WIDTH`
  The unset value for maxWidth: 2147483647.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextStyle.Builder`
  `builder()`
  Creates a new builder.
  `TextStyle.Alignment`
  `getAlignment()`
  Gets the alignment.
  `int`
  `getIndent()`
  Gets the indent value.
  `int`
  `getLeftPad()`
  Gets the left padding.
  `int`
  `getMaxWidth()`
  gets the maximum width.
  `int`
  `getMinWidth()`
  gets the minimum width.
  `boolean`
  `isScalable()`
  Specifies if the column can be made wider or to narrower width to fit constraints of the HelpAppendable and formatting.
  `CharSequence`
  `pad(boolean addIndent, CharSequence text)`
  Pads a string to the maximum width or optionally to the maximum width - indent.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNSET_MAX_WIDTH

    public static final int UNSET_MAX_WIDTH
    The unset value for maxWidth: 2147483647.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    public static final TextStyle DEFAULT
    The default style as generated by the default Builder.

- ## Method Details

  - ### builder

    public static TextStyle.Builder builder()
    Creates a new builder.
    Returns:
      a new builder.

  - ### getAlignment

    public TextStyle.Alignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment.

  - ### getIndent

    public int getIndent()
    Gets the indent value.
    Returns:
      the indent value.

  - ### getLeftPad

    public int getLeftPad()
    Gets the left padding.
    Returns:
      the left padding.

  - ### getMaxWidth

    public int getMaxWidth()
    gets the maximum width.
    Returns:
      The maximum width.

  - ### getMinWidth

    public int getMinWidth()
    gets the minimum width.
    Returns:
      The minimum width.

  - ### isScalable

    public boolean isScalable()
    Specifies if the column can be made wider or to narrower width to fit constraints of the HelpAppendable and formatting.
    Returns:
      the scaling value.

  - ### pad

    public CharSequence pad(boolean addIndent, CharSequence text)
    Pads a string to the maximum width or optionally to the maximum width - indent.
    - Returns the string unchanged if it is longer than the specified length.
    - Will add the padding based on the alignment.
    Parameters:
      `addIndent` - if `true` account for the indent when padding the string.
      `text` - the text to pad.
    Returns:
      the padded string.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`